<html>

<head>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
    <span>Thông điệp: {{ msg }}</span>
    <span v-once>Thông điệp này sẽ không bao giờ thay đổi: {{ msg }}</span>

    <p>Sử dụng cú pháp mustache: {{ rawHtml }}</p>
<p>Sử dụng directive v-html: <span v-html="rawHtml"></span></p>

<div v-bind:id="dynamicId"></div>
<button v-bind:disabled="isButtonDisabled">Hòn Vọng Phu</button>

<!-- Tham so
    Một số directive có thể nhận vào một tham số, đánh dấu bằng một dấu hai chấm theo sau tên của directive. Ví dụ, directive v-bind được dùng để cập nhật động một thuộc tính HTML:
-->
<a v-bind:href="url"> ... </a>

<!--directive v-on. lắng nghe các sự kiện DOM:-->

<a v-on:click="doSomething"> ... </a>


<!-- Modifier-->
<form v-on:submit.prevent="onSubmit"> ... </form>

<!-- cú pháp đầy đủ v-bind-->
<a v-bind:href="url"> ... </a>

<!-- cú pháp rút gọn: dùng dấu hai chấm -->
<a :href="url"> ... </a>


<!-- cú pháp đầy đủ v-on-->
<a v-on:click="doSomething"> ... </a>

<!-- cú pháp rút gọn: dùng kí tự @ -->
<a @click="doSomething"> ... </a>
    <script>
       
    </script>

{{ number + 1 }}

{{ ok ? 'YES' : 'NO' }}

{{ message.split('').reverse().join('') }}


<div v-bind:id="'list-' + id"></div>

<p v-if="seen">Thoắt ẩn thoắt hiện</p>
</body>

</html>